<template>
	<view class="userinfo">
		<img class="infobg" src="https://ikea-mrm.woaap.com/images/infobg1.jpg" />
		<img class="avatar" :src="userInfo.avatarUrl" />
		<text class="nickName">{{ userInfo.nickName }}</text>
		<view class="choosebox">
			<view class="list">
				<view class="item p-20" @click="chooseItem('释放童心')" :class="{ actived: chooseValue == '释放童心' }">释放童心</view>
				<view class="item p-20" @click="chooseItem('制造快乐让灵感常伴')" :class="{ actived: chooseValue == '制造快乐让灵感常伴' }">制造快乐让灵感常伴</view>
				<view class="item p-20" @click="chooseItem('开动本宝宝的小脑瓜')" :class="{ actived: chooseValue == '开动本宝宝的小脑瓜' }">开动本宝宝的小脑瓜</view>
			</view>
			<view class="list">
				<view class="item p-10" @click="chooseItem('发挥奇思妙想')" :class="{ actived: chooseValue == '发挥奇思妙想' }">发挥奇思妙想</view>
				<view class="item p-10" @click="chooseItem('用你我力量守护美好生活')" :class="{ actived: chooseValue == '用你我力量守护美好生活' }">用你我力量守护美好生活</view>
				<view class="item p-10" @click="chooseItem('用爱心凝聚世界')" :class="{ actived: chooseValue == '用爱心凝聚世界' }">用爱心凝聚世界</view>
			</view>
			<view class="result">
				<text>玩在一起，{{ chooseValue }}</text>
			</view>
			<img class="tips" src="https://ikea-mrm.woaap.com/images/mask/x.png" />
		</view>
		<img class="playgame" @click="addTag" src="https://ikea-mrm.woaap.com/images/next.png" />
	</view>
</template>

<script>
export default {
	data() {
		return {
			userInfo: getApp().globalData.userInfo,
			chooseValue: '释放童心',
			uid: getApp().globalData.uid,
			type: 0
		};
	},
	onShow() {
		getApp().td_app_sdk.event({
			id: 'userinfo',
			label: 'pv',
			params: {}
		});
	},
	onShareAppMessage: function(res) {
		return {
			title: '宜家PLAY护照 限时申领中',
			path: 'pages/index/index',
			imageUrl: 'https://ikea-mrm.woaap.com/images/share/share_passport.jpg'
		};
	},
	onLoad(option) {
		console.log(option);
	},
	mounted() {
		console.log(this.userInfo);
		wx.setStorageSync('chooseValue', this.chooseValue);
	},
	methods: {
		chooseItem(value) {
			this.chooseValue = value;
			wx.setStorageSync('chooseValue', value);
		},
		addTag() {
			getApp().td_app_sdk.event({
				id: '完善信息下一步',
				label: 'click'
			});
			wx.request({
				url: getApp().globalData.baseUrl + 'api/access.php?a=addpassport',
				method: 'POST',
				header: {
					'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
				},
				data: {
					uid: this.uid,
					tag: this.chooseValue
				},
				success: res => {
					wx.request({
						url: getApp().globalData.baseUrl + 'api/access.php?a=userinfo',
						method: 'POST',
						header: {
							'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
						},
						data: {
							uid: this.uid
						},
						success: res => {
							console.log(res.data.data);
							wx.setStorageSync('gameInfo', res.data.data);
							uni.navigateTo({
								url: '/pages/userinfo/userinfo2'
							});
						}
					});
				}
			});
		}
	}
};
</script>

<style lang="less">
.actived {
	background: #fed931 !important;
	color: #000000 !important;
}
.userinfo {
	width: 100vw;
	height: 100vh;
	overflow: hidden;
	position: relative;
	.infobg {
		width: 750upx;
		height: 1506upx;
		position: absolute;
		top: 0;
		left: 0;
	}
	.avatar {
		position: absolute;
		top: 250upx;
		left: 50%;
		transform: translate(-50%, 0);
		width: 185upx;
		height: 185upx;
		border-radius: 50%;
		border: 10upx solid #fed931;
	}
	.nickName {
		position: absolute;
		top: 470upx;
		left: 45upx;
		font-family: '黑体';
		font-weight: 900;
		font-size: 36upx;
	}
	.choosebox {
		width: 658upx;
		height: 210upx;
		position: absolute;
		top: 675upx;
		left: 50%;
		transform: translate(-50%, 0);
		.tips {
			width: 192rpx;
			height: 15rpx;
			position: absolute;
			bottom: 0;
			left: 0;
		}
		.list {
			width: 100%;
			height: 40upx;
			display: flex;
			justify-content: space-between;
			margin-top: 15upx;
			.p-20 {
				padding: 0 25upx;
			}
			.p-10 {
				padding: 0 20upx;
			}
			.item {
				width: auto;
				height: 100%;
				line-height: 40upx;
				background: #cccccc;
				color: #818181;
				font-size: 22upx;
				font-weight: 900;
				border-radius: 40rpx;
				font-family: '黑体';
			}
		}
		.result {
			width: 658upx;
			height: 55upx;
			margin-top: 20upx;
			background-color: #ffffff;
			text {
				color: #cccccc;
				padding: 0 20upx;
				font-size: 36upx;
				font-weight: 900;
				font-family: '黑体';
				line-height: 55rpx;
			}
		}
	}

	.playgame {
		width: 350upx;
		height: 100upx;
		position: absolute;
		top: 982upx;
		left: 50%;
		transform: translate(-50%, 0);
	}
}
</style>
